package cn.ibizlab.businesscentral.core.odoo_stock.filter;

import java.math.BigDecimal;
import java.math.BigInteger;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;

import lombok.*;
import lombok.extern.slf4j.Slf4j;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.fastjson.annotation.JSONField;

import org.springframework.util.ObjectUtils;
import org.springframework.util.StringUtils;


import cn.ibizlab.businesscentral.util.filter.QueryWrapperContext;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import cn.ibizlab.businesscentral.core.odoo_stock.domain.Stock_location;
/**
 * 关系型数据实体[Stock_location] 查询条件对象
 */
@Slf4j
@Data
public class Stock_locationSearchContext extends QueryWrapperContext<Stock_location> {

	private String n_name_like;//[位置名称]
	public void setN_name_like(String n_name_like) {
        this.n_name_like = n_name_like;
        if(!ObjectUtils.isEmpty(this.n_name_like)){
            this.getSearchCond().like("name", n_name_like);
        }
    }
	private String n_usage_eq;//[位置类型]
	public void setN_usage_eq(String n_usage_eq) {
        this.n_usage_eq = n_usage_eq;
        if(!ObjectUtils.isEmpty(this.n_usage_eq)){
            this.getSearchCond().eq("usage", n_usage_eq);
        }
    }
	private String n_location_id_text_eq;//[上级位置]
	public void setN_location_id_text_eq(String n_location_id_text_eq) {
        this.n_location_id_text_eq = n_location_id_text_eq;
        if(!ObjectUtils.isEmpty(this.n_location_id_text_eq)){
            this.getSearchCond().eq("location_id_text", n_location_id_text_eq);
        }
    }
	private String n_location_id_text_like;//[上级位置]
	public void setN_location_id_text_like(String n_location_id_text_like) {
        this.n_location_id_text_like = n_location_id_text_like;
        if(!ObjectUtils.isEmpty(this.n_location_id_text_like)){
            this.getSearchCond().like("location_id_text", n_location_id_text_like);
        }
    }
	private String n_company_id_text_eq;//[公司]
	public void setN_company_id_text_eq(String n_company_id_text_eq) {
        this.n_company_id_text_eq = n_company_id_text_eq;
        if(!ObjectUtils.isEmpty(this.n_company_id_text_eq)){
            this.getSearchCond().eq("company_id_text", n_company_id_text_eq);
        }
    }
	private String n_company_id_text_like;//[公司]
	public void setN_company_id_text_like(String n_company_id_text_like) {
        this.n_company_id_text_like = n_company_id_text_like;
        if(!ObjectUtils.isEmpty(this.n_company_id_text_like)){
            this.getSearchCond().like("company_id_text", n_company_id_text_like);
        }
    }
	private String n_create_uid_text_eq;//[创建人]
	public void setN_create_uid_text_eq(String n_create_uid_text_eq) {
        this.n_create_uid_text_eq = n_create_uid_text_eq;
        if(!ObjectUtils.isEmpty(this.n_create_uid_text_eq)){
            this.getSearchCond().eq("create_uid_text", n_create_uid_text_eq);
        }
    }
	private String n_create_uid_text_like;//[创建人]
	public void setN_create_uid_text_like(String n_create_uid_text_like) {
        this.n_create_uid_text_like = n_create_uid_text_like;
        if(!ObjectUtils.isEmpty(this.n_create_uid_text_like)){
            this.getSearchCond().like("create_uid_text", n_create_uid_text_like);
        }
    }
	private String n_valuation_out_account_id_text_eq;//[库存计价科目（出向）]
	public void setN_valuation_out_account_id_text_eq(String n_valuation_out_account_id_text_eq) {
        this.n_valuation_out_account_id_text_eq = n_valuation_out_account_id_text_eq;
        if(!ObjectUtils.isEmpty(this.n_valuation_out_account_id_text_eq)){
            this.getSearchCond().eq("valuation_out_account_id_text", n_valuation_out_account_id_text_eq);
        }
    }
	private String n_valuation_out_account_id_text_like;//[库存计价科目（出向）]
	public void setN_valuation_out_account_id_text_like(String n_valuation_out_account_id_text_like) {
        this.n_valuation_out_account_id_text_like = n_valuation_out_account_id_text_like;
        if(!ObjectUtils.isEmpty(this.n_valuation_out_account_id_text_like)){
            this.getSearchCond().like("valuation_out_account_id_text", n_valuation_out_account_id_text_like);
        }
    }
	private String n_partner_id_text_eq;//[所有者]
	public void setN_partner_id_text_eq(String n_partner_id_text_eq) {
        this.n_partner_id_text_eq = n_partner_id_text_eq;
        if(!ObjectUtils.isEmpty(this.n_partner_id_text_eq)){
            this.getSearchCond().eq("partner_id_text", n_partner_id_text_eq);
        }
    }
	private String n_partner_id_text_like;//[所有者]
	public void setN_partner_id_text_like(String n_partner_id_text_like) {
        this.n_partner_id_text_like = n_partner_id_text_like;
        if(!ObjectUtils.isEmpty(this.n_partner_id_text_like)){
            this.getSearchCond().like("partner_id_text", n_partner_id_text_like);
        }
    }
	private String n_removal_strategy_id_text_eq;//[下架策略]
	public void setN_removal_strategy_id_text_eq(String n_removal_strategy_id_text_eq) {
        this.n_removal_strategy_id_text_eq = n_removal_strategy_id_text_eq;
        if(!ObjectUtils.isEmpty(this.n_removal_strategy_id_text_eq)){
            this.getSearchCond().eq("removal_strategy_id_text", n_removal_strategy_id_text_eq);
        }
    }
	private String n_removal_strategy_id_text_like;//[下架策略]
	public void setN_removal_strategy_id_text_like(String n_removal_strategy_id_text_like) {
        this.n_removal_strategy_id_text_like = n_removal_strategy_id_text_like;
        if(!ObjectUtils.isEmpty(this.n_removal_strategy_id_text_like)){
            this.getSearchCond().like("removal_strategy_id_text", n_removal_strategy_id_text_like);
        }
    }
	private String n_putaway_strategy_id_text_eq;//[上架策略]
	public void setN_putaway_strategy_id_text_eq(String n_putaway_strategy_id_text_eq) {
        this.n_putaway_strategy_id_text_eq = n_putaway_strategy_id_text_eq;
        if(!ObjectUtils.isEmpty(this.n_putaway_strategy_id_text_eq)){
            this.getSearchCond().eq("putaway_strategy_id_text", n_putaway_strategy_id_text_eq);
        }
    }
	private String n_putaway_strategy_id_text_like;//[上架策略]
	public void setN_putaway_strategy_id_text_like(String n_putaway_strategy_id_text_like) {
        this.n_putaway_strategy_id_text_like = n_putaway_strategy_id_text_like;
        if(!ObjectUtils.isEmpty(this.n_putaway_strategy_id_text_like)){
            this.getSearchCond().like("putaway_strategy_id_text", n_putaway_strategy_id_text_like);
        }
    }
	private String n_write_uid_text_eq;//[最后更新者]
	public void setN_write_uid_text_eq(String n_write_uid_text_eq) {
        this.n_write_uid_text_eq = n_write_uid_text_eq;
        if(!ObjectUtils.isEmpty(this.n_write_uid_text_eq)){
            this.getSearchCond().eq("write_uid_text", n_write_uid_text_eq);
        }
    }
	private String n_write_uid_text_like;//[最后更新者]
	public void setN_write_uid_text_like(String n_write_uid_text_like) {
        this.n_write_uid_text_like = n_write_uid_text_like;
        if(!ObjectUtils.isEmpty(this.n_write_uid_text_like)){
            this.getSearchCond().like("write_uid_text", n_write_uid_text_like);
        }
    }
	private String n_valuation_in_account_id_text_eq;//[库存计价科目（入向）]
	public void setN_valuation_in_account_id_text_eq(String n_valuation_in_account_id_text_eq) {
        this.n_valuation_in_account_id_text_eq = n_valuation_in_account_id_text_eq;
        if(!ObjectUtils.isEmpty(this.n_valuation_in_account_id_text_eq)){
            this.getSearchCond().eq("valuation_in_account_id_text", n_valuation_in_account_id_text_eq);
        }
    }
	private String n_valuation_in_account_id_text_like;//[库存计价科目（入向）]
	public void setN_valuation_in_account_id_text_like(String n_valuation_in_account_id_text_like) {
        this.n_valuation_in_account_id_text_like = n_valuation_in_account_id_text_like;
        if(!ObjectUtils.isEmpty(this.n_valuation_in_account_id_text_like)){
            this.getSearchCond().like("valuation_in_account_id_text", n_valuation_in_account_id_text_like);
        }
    }
	private Long n_write_uid_eq;//[最后更新者]
	public void setN_write_uid_eq(Long n_write_uid_eq) {
        this.n_write_uid_eq = n_write_uid_eq;
        if(!ObjectUtils.isEmpty(this.n_write_uid_eq)){
            this.getSearchCond().eq("write_uid", n_write_uid_eq);
        }
    }
	private Long n_create_uid_eq;//[创建人]
	public void setN_create_uid_eq(Long n_create_uid_eq) {
        this.n_create_uid_eq = n_create_uid_eq;
        if(!ObjectUtils.isEmpty(this.n_create_uid_eq)){
            this.getSearchCond().eq("create_uid", n_create_uid_eq);
        }
    }
	private Long n_valuation_in_account_id_eq;//[库存计价科目（入向）]
	public void setN_valuation_in_account_id_eq(Long n_valuation_in_account_id_eq) {
        this.n_valuation_in_account_id_eq = n_valuation_in_account_id_eq;
        if(!ObjectUtils.isEmpty(this.n_valuation_in_account_id_eq)){
            this.getSearchCond().eq("valuation_in_account_id", n_valuation_in_account_id_eq);
        }
    }
	private Long n_company_id_eq;//[公司]
	public void setN_company_id_eq(Long n_company_id_eq) {
        this.n_company_id_eq = n_company_id_eq;
        if(!ObjectUtils.isEmpty(this.n_company_id_eq)){
            this.getSearchCond().eq("company_id", n_company_id_eq);
        }
    }
	private Long n_location_id_eq;//[上级位置]
	public void setN_location_id_eq(Long n_location_id_eq) {
        this.n_location_id_eq = n_location_id_eq;
        if(!ObjectUtils.isEmpty(this.n_location_id_eq)){
            this.getSearchCond().eq("location_id", n_location_id_eq);
        }
    }
	private Long n_valuation_out_account_id_eq;//[库存计价科目（出向）]
	public void setN_valuation_out_account_id_eq(Long n_valuation_out_account_id_eq) {
        this.n_valuation_out_account_id_eq = n_valuation_out_account_id_eq;
        if(!ObjectUtils.isEmpty(this.n_valuation_out_account_id_eq)){
            this.getSearchCond().eq("valuation_out_account_id", n_valuation_out_account_id_eq);
        }
    }
	private Long n_partner_id_eq;//[所有者]
	public void setN_partner_id_eq(Long n_partner_id_eq) {
        this.n_partner_id_eq = n_partner_id_eq;
        if(!ObjectUtils.isEmpty(this.n_partner_id_eq)){
            this.getSearchCond().eq("partner_id", n_partner_id_eq);
        }
    }
	private Long n_putaway_strategy_id_eq;//[上架策略]
	public void setN_putaway_strategy_id_eq(Long n_putaway_strategy_id_eq) {
        this.n_putaway_strategy_id_eq = n_putaway_strategy_id_eq;
        if(!ObjectUtils.isEmpty(this.n_putaway_strategy_id_eq)){
            this.getSearchCond().eq("putaway_strategy_id", n_putaway_strategy_id_eq);
        }
    }
	private Long n_removal_strategy_id_eq;//[下架策略]
	public void setN_removal_strategy_id_eq(Long n_removal_strategy_id_eq) {
        this.n_removal_strategy_id_eq = n_removal_strategy_id_eq;
        if(!ObjectUtils.isEmpty(this.n_removal_strategy_id_eq)){
            this.getSearchCond().eq("removal_strategy_id", n_removal_strategy_id_eq);
        }
    }

    /**
	 * 启用快速搜索
	 */
	public void setQuery(String query)
	{
		 this.query=query;
		 if(!StringUtils.isEmpty(query)){
            this.getSearchCond().and( wrapper ->
                     wrapper.like("name", query)   
            );
		 }
	}
}



